#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-tasty-sugar-z-tasty-sugar-internal
version:              1.1.1.0
package-name:         tasty-sugar
lib-name:             tasty-sugar-internal
id:
    tasty-sugar-1.1.1.0-3yJ1YngZsZVFPfu5ohlx2g-tasty-sugar-internal

key:
    tasty-sugar-1.1.1.0-3yJ1YngZsZVFPfu5ohlx2g-tasty-sugar-internal

license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  e7ca6c7edce513e227f46ddc1d0ab8b8
exposed-modules:
    Test.Tasty.Sugar.Analysis Test.Tasty.Sugar.AssocCheck
    Test.Tasty.Sugar.ExpectCheck Test.Tasty.Sugar.ParamCheck
    Test.Tasty.Sugar.Report Test.Tasty.Sugar.RootCheck
    Test.Tasty.Sugar.Types

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.1.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/tasty-sugar-1.1.1.0
hs-libraries:
    HStasty-sugar-1.1.1.0-3yJ1YngZsZVFPfu5ohlx2g-tasty-sugar-internal

depends:
    base-4.15.1.0 filemanip-0.3.6.3-7EPjOtf3dRQ4e3319xFkxR
    filepath-1.4.2.1 kvitable-1.0.0.0-Asc3v3axtB9LaOGoVqG7Yl
    logict-0.7.1.0-2KS1ej9w5AmCXzq4DswVFf
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    prettyprinter-1.7.1-7JVkKd72NixFgZyVogsi8v text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-sugar
version:              1.1.1.0
visibility:           public
id:                   tasty-sugar-1.1.1.0-2OfG8XtkzZP7sc74W3TIvW
key:                  tasty-sugar-1.1.1.0-2OfG8XtkzZP7sc74W3TIvW
license:              ISC
copyright:            Kevin Quick, 2019-2021
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/tasty-sugar
synopsis:             Tests defined by Search Using Golden Answer References
description:

    A tasty testing framework that builds individual test configurations
    from a set of input files and expected results (golden) files along
    with associated files, where multiple expected results and
    associated files for each input file can be parameterized by
    filename.

    Additionally a tasty ingredient is supplied that can be used to show
    the search process and resulting test configurations without
    actually running the tests.

category:             Testing
abi:                  48bc7febf11dbb052dab6492aa0325e1
exposed:              True
exposed-modules:      Test.Tasty.Sugar
import-dirs:          /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.1.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tasty-sugar-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/tasty-sugar-1.1.1.0
hs-libraries:         HStasty-sugar-1.1.1.0-2OfG8XtkzZP7sc74W3TIvW
depends:
    base-4.15.1.0 directory-1.3.6.2
    filemanip-0.3.6.3-7EPjOtf3dRQ4e3319xFkxR filepath-1.4.2.1
    logict-0.7.1.0-2KS1ej9w5AmCXzq4DswVFf
    optparse-applicative-0.16.1.0-9iRWBC4qNzx4IOs61bJ7Xj
    prettyprinter-1.7.1-7JVkKd72NixFgZyVogsi8v
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR
    tasty-1.4.2.1-DMvlZW3HtCI5p1XBctDcpx
    tasty-sugar-1.1.1.0-3yJ1YngZsZVFPfu5ohlx2g-tasty-sugar-internal
    text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-tasty-sugar/html/tasty-sugar.haddock
haddock-html:         /usr/share/doc/haskell-tasty-sugar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

